%define pypi_name rdflib

Summary:	Python library for working with RDF
Name:		python-%{pypi_name}
Version:	7.0.0
Release:	%mkrel 3
License:	BSD
Group:		Development/Python
URL:		https://pypi.org/project/rdflib
Source0:	%{pypi_source}
BuildArch:	noarch

%description
RDFLib is a Python library for working with RDF, a simple yet powerful
language for representing information.

The library contains parsers and serializers for RDF/XML, N3,
NTriples, Turtle, TriX and RDFa . The library presents a Graph
interface which can be backed by any one of a number of Store
implementations, including, Memory, MySQL, Redland, SQLite, Sleepycat
and SQLObject.

%package -n python3-%{pypi_name}
Summary:	Python 3 library for working with RDF
Group: 		Development/Python
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3-setuptools
Requires:	python3-isodate
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
RDFLib is a Python 3 library for working with RDF, a simple yet powerful
language for representing information.

The library contains parsers and serializers for RDF/XML, N3,
NTriples, Turtle, TriX and RDFa . The library presents a Graph
interface which can be backed by any one of a number of Store
implementations, including, Memory, MySQL, Redland, SQLite, Sleepycat
and SQLObject.  

%prep
%setup -q -n %{pypi_name}-%{version}
sed -i "s/python/python3/" rdflib/plugins/parsers/notation3.py

%generate_buildrequires
%pyproject_buildrequires

find -name "*.pyc" -delete

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rdflib

%__rm -rf %{buildroot}%{python3_sitelib}/test


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%{_bindir}/*


%changelog
* Sun Mar 02 2025 wally <wally> 7.0.0-3.mga10
+ Revision: 2157579
- rebuild for python3.13

* Fri Jun 21 2024 papoteur <papoteur> 7.0.0-2.mga10
+ Revision: 2076071
- rebuild for python 3.12
+ daviddavid <daviddavid>
- new version: 7.0.0

* Thu Dec 28 2023 daviddavid <daviddavid> 6.2.0-2.mga10
+ Revision: 2022798
- rebuild for py3.12

* Wed Sep 07 2022 neoclust <neoclust> 6.2.0-1.mga9
+ Revision: 1885192
- New version 	6.2.0

* Wed Mar 23 2022 umeabot <umeabot> 6.1.1-2.mga9
+ Revision: 1822954
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 6.1.1-1.mga9
+ Revision: 1778478
- version 6.1.1
- rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 5.0.0-2.mga9
+ Revision: 1705464
- rebuild for python 3.9

* Wed Mar 03 2021 guillomovitch <guillomovitch> 5.0.0-1.mga9
+ Revision: 1697570
- new version 5.0.0

* Sun Feb 16 2020 umeabot <umeabot> 4.2.2-3.mga8
+ Revision: 1533729
- Mageia 8 Mass Rebuild

* Tue Sep 24 2019 tv <tv> 4.2.2-2.mga8
+ Revision: 1445452
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 4.2.2-1.mga7
+ Revision: 1354212
- New version

* Thu Sep 20 2018 umeabot <umeabot> 4.2.1-4.mga7
+ Revision: 1289991
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 4.2.1-3.mga7
+ Revision: 1135602
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 4.2.1-2.mga6
+ Revision: 971136
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 philippem <philippem> 4.2.1-1.mga6
+ Revision: 889335
- update to 4.2.1

* Wed Oct 15 2014 umeabot <umeabot> 4.1.2-5.mga5
+ Revision: 749689
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.1.2-4.mga5
+ Revision: 729620
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.1.2-3.mga5
+ Revision: 688302
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 4.1.2-2.mga5
+ Revision: 628985
- Rebuild for new Python

* Sat May 10 2014 philippem <philippem> 4.1.2-1.mga5
+ Revision: 621851
- update to 4.1.2

* Tue Oct 22 2013 umeabot <umeabot> 4.0.1-4.mga4
+ Revision: 544156
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.0.1-3.mga4
+ Revision: 499283
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 4.0.1-2.mga4
+ Revision: 492448
- remove hard dep pyparsing

* Fri Aug 16 2013 philippem <philippem> 4.0.1-1.mga4
+ Revision: 466992
- update to 4.0.1, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 3.2.3-3.mga3
+ Revision: 379427
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 dmorgan <dmorgan> 3.2.3-2.mga3
+ Revision: 338902
- python-isodate is required by python-rdflib

* Sun Dec 23 2012 philippem <philippem> 3.2.3-1.mga3
+ Revision: 334279
- Update to 3.2.3

* Tue Sep 20 2011 lebedov <lebedov> 3.1.0-1.mga2
+ Revision: 146142
- Update to 3.1.0.

* Sat Mar 26 2011 dmorgan <dmorgan> 2.4.2-3.mga1
+ Revision: 77534
- imported package python-rdflib


* Mon Nov 01 2010 Götz Waschk <waschk@mandriva.org> 2.4.2-3mdv2011.0
+ Revision: 591518
- rebuild for python 2.7

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Thu Oct 07 2010 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2011.0
+ Revision: 583931
- update to new version 2.4.2

* Fri Aug 06 2010 Götz Waschk <waschk@mandriva.org> 2.4.0-1mdv2011.0
+ Revision: 566625
- downgrade to 2.4.0
- update file list
- no more noarch

* Fri Aug 06 2010 Götz Waschk <waschk@mandriva.org> 3.0.0-1mdv2011.0
+ Revision: 566599
- import python-rdflib


